#!/usr/bin/sh
## Script to toggle text scaling factor in GNOME between
## 1.0 and 1.25

SCALE=$(dconf read /org/gnome/desktop/interface/text-scaling-factor)

if [ $SCALE == '1.0' ]; then
    SCALE_SWITCH=1.25
elif [ $SCALE == '1.25' ]; then
    SCALE_SWITCH=1.0
fi

notify-send --transient "Previous Font Scale: $SCALE, Switched to $SCALE_SWITCH"

dconf write /org/gnome/desktop/interface/text-scaling-factor $SCALE_SWITCH